<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- Generated 29-oct-2009 22:50:47 by Hibernate Tools 3.2.4.GA -->
<hibernate-mapping>
    <class name="es.dalocar.software.beans.Factura" table="FACTURA">
        <composite-id name="id" class="es.dalocar.software.beans.FacturaId">
            <key-property name="numero" type="java.lang.Integer">
                <column name="NUMERO" />
            </key-property>
            <key-property name="anyo" type="java.lang.Integer">
                <column name="ANYO" />
            </key-property>
        </composite-id>
        <many-to-one name="cliente" class="es.dalocar.software.beans.Cliente" fetch="select" lazy="false">
            <column name="IDENTIFICADORCLIENTE" />
        </many-to-one>
        <property name="fecha" type="java.util.Date">
            <column name="FECHA" length="0" />
        </property>
        <property name="irpf" type="java.lang.Double">
            <column name="IRPF" precision="0" scale="0" />
        </property>
        <property name="cobrada" type="java.lang.Boolean">
            <column name="COBRADA" />
        </property>
        <property name="fechacobro" type="java.util.Date">
            <column name="FECHACOBRO" length="0" />
        </property>
        <property name="modopago" type="string">
            <column name="MODOPAGO" length="15" />
        </property>
        <property name="importefactura" type="java.lang.Double">
            <column name="IMPORTEFACTURA" precision="0" scale="0" />
        </property>
         <property name="totalIva" type="java.lang.Double">
            <column name="IVAFACTURA" precision="0" scale="0" />
        </property>
        <!-- <set name="lineaFacturas" inverse="true" lazy="false" table="LINEAFACTURA" fetch="select" order-by="id.numerolinea">
            <key>
                <column name="NUMEROFACTURA" not-null="true" />
                <column name="ANYOFACTURA" not-null="true" />
            </key>
            <one-to-many class="es.dalocar.software.beans.LineaFactura" />
        </set> -->
    </class>
</hibernate-mapping>
